Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QPaintEvent Class Reference

The QPaintEvent class contains event parameters for paint events. More...

`#include <qevent.h>`

Inherits QEvent.

List of all member functions.

## Public Members

- QPaintEvent ( const QRegion & paintRegion, bool erased = TRUE )
- QPaintEvent ( const QRect & paintRect, bool erased = TRUE )
- const QRect & rect () const
- const QRegion & region () const
- bool erased () const

## Detailed Description

The QPaintEvent class contains event parameters for paint events.

Paint events are sent to widgets that need to update themselves, for instance when part of a widget is exposed because a covering widget is moved.

The event contains a region() that needs to be updated, and a rect() that is the bounding rectangle of that region. Both are provided because many widgets can't make much use of region(), and rect() can be much faster than region().boundingRect(). Painting is clipped to region() during processing of a paint event.

The erased() function returns TRUE if the region() has been cleared to the widget's background (see QWidget::backgroundMode()), and FALSE if the region's contents are arbitrary.

See also QPainter, QWidget::update(), QWidget::repaint(), QWidget::paintEvent(), QWidget::backgroundMode, QRegion, and Event Classes.

## Member Function Documentation

### QPaintEvent::QPaintEvent ( const QRegion & paintRegion, bool erased = TRUE )

Constructs a paint event object with the region that should be updated. The region is given by paintRegion. If erased is TRUE the region will be cleared before repainting.

### QPaintEvent::QPaintEvent ( const QRect & paintRect, bool erased = TRUE )

Constructs a paint event object with the rectangle that should be updated. The region is given by paintRect. If erased is TRUE the region will be cleared before repainting.

### bool QPaintEvent::erased () const

Returns TRUE if the paint event region (or rectangle) has been erased with the widget's background; otherwise returns FALSE.

### const QRect & QPaintEvent::rect () const

Returns the rectangle that should be updated.

See also region() and QPainter::setClipRect().

Examples: life/life.cpp, qfd/fontdisplayer.cpp, showimg/showimg.cpp, t10/cannon.cpp, t11/cannon.cpp, t13/cannon.cpp, and tooltip/tooltip.cpp.

### const QRegion & QPaintEvent::region () const

Returns the region that should be updated.

See also rect() and QPainter::setClipRegion().

Examples: qfd/fontdisplayer.cpp and scribble/scribble.cpp.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.